<!--
  -    Copyright 2014-2023 IHE International
  -
  -    Licensed under the Apache License, Version 2.0 (the "License");
  -    you may not use this file except in compliance with the License.
  -    You may obtain a copy of the License at
  -
  -        http://www.apache.org/licenses/LICENSE-2.0
  -
  -    Unless required by applicable law or agreed to in writing, software
  -    distributed under the License is distributed on an "AS IS" BASIS,
  -    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  -    See the License for the specific language governing permissions and
  -    limitations under the License.
  -->

<ui:composition xmlns:f="http://java.sun.com/jsf/core" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:rich="http://richfaces.org/rich" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <s:div styleClass="well" id="instructionEditorDiv">
        <g:safehtml value="#{instructionToDisplay.content}" rendered="#{not instructionManager.editMode}"/>

        <h:panelGroup rendered="#{instructionManager.editMode}">
            <ui:decorate template="/layout/editor/_text_editor.xhtml">
                <ui:param name="id" value="mainEditor"/>
                <ui:param name="text" value="#{instructionToDisplay.content}"/>
                <ui:param name="editor_height" value="220"/>
            </ui:decorate>
        </h:panelGroup>

        <p>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.Save']}" actionListener="#{instructionManager.save(instructionToDisplay)}"
                               rendered="#{instructionManager.editMode}" styleClass="gzl-btn-blue"
                               render="instructionEditorDiv,gazelle-messages"/>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.HideEditors']}" actionListener="#{instructionManager.setEditMode(false)}"
                               rendered="#{instructionManager.editMode}" styleClass="gzl-btn"
                               render="instructionEditorDiv,gazelle-messages"/>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.questionnaire.EditInstructions']}" actionListener="#{instructionManager.setEditMode(true)}"
                               rendered="#{not instructionManager.editMode}" styleClass="gzl-btn"
                               render="instructionEditorDiv,gazelle-messages"/>

        </p>
    </s:div>
</ui:composition>
